Get role summaries

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /admin/company/{companyId}/role/summary

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string(uuid) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • description string
    • type string

      Values are Company, Project, or Site.

    • system boolean
    • permissionGroups array[object]
      Hide permissionGroups attributes Show permissionGroups attributes object
      • groupName string
      • permissions array[string]
    • permissionsTotal integer(int32)
    • users array[object]
      Hide users attributes Show users attributes object
      • id string(uuid)
      • firstName string
      • lastName string
      • email string
    • lastModified string(date-time)
GET /admin/company/{companyId}/role/summary
curl \
 --request GET 'https://live.smartpmtech.com/admin/company/{companyId}/role/summary' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": "string",
    "name": "string",
    "description": "string",
    "type": "Company",
    "system": true,
    "permissionGroups": [
      {
        "groupName": "string",
        "permissions": [
          "string"
        ]
      }
    ],
    "permissionsTotal": 42,
    "users": [
      {
        "id": "string",
        "firstName": "string",
        "lastName": "string",
        "email": "string"
      }
    ],
    "lastModified": "2026-05-04T09:42:00Z"
  }
]